Subject: RE: Node Req: Issue31: DHCPv6 text (ignore previous mails)

From: Soliman Hesham <[email-masked]>
Date: Thu, 20 Nov 2003 09:27:27 -0500

> I strongly suggest the use of "Nodes" (unqualified) in the text
 > about the 'O' bit:

=> To be clear, I was suggesting substitusting "Nodes (acting as hosts)".
I'm not sure if you're replying to my comment or in general.

 > However, there is some question about any discussion of "nodes" and
 > RAs, as there may be text in RFC 2461 (I'm working from 
 > memory, here, which
 > in my case is a remarkably unreliable service; I hope 
 > someone more familiar
 > with RFC 2461 can confirm or deny) that allows or requires
 > routers to ignore RAs.

=> In 6.2.7 :

   Routers SHOULD inspect valid Router Advertisements sent by other
   routers and verify that the routers are advertising consistent
   information on a link.  Detected inconsistencies indicate that one or
   more routers might be misconfigured and SHOULD be logged to system or
   network management.  The minimum set of information to check
   includes:

    - Cur Hop Limit values (except for the unspecified value of zero).

    - Values of the M or O flags.

    - Reachable Time values (except for the unspecified value of zero).

Whether that means routers can also act upon the information
they receive is of course a separate issue. But at least
it is clear that routers are not required to automatically drop RAs.

Hesham

 > 
 > - Ralph
 > 
 > At 09:06 AM 11/20/2003 -0500, Soliman Hesham wrote:
 > >  >
 > >  > Is there a reason to differentiate between nodes acting as
 > >  > hosts here, but
 > >  > not in the paragraph describing the behavior in response to
 > >  > the 'M' bit?
 > >
 > >=> In general, unless previously discussed and rejected for some
 > >reason, I'd globally: s/Nodes (acting as hosts)/host
 > >
 > >It's a bit clumsy to read as it is.
 > >
 > >Hesham
 > 
 > 
 > --------------------------------------------------------------------
 > IETF IPv6 working group mailing list
 > [email-masked]
 > Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
 > --------------------------------------------------------------------
 > 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Tim Chown <[email-masked]>
Date: Thu, 20 Nov 2003 14:37:40 +0000

>     - Reachable Time values (except for the unspecified value of zero).

Presumably this means consistent RA information for the same prefix?  I guess
that's implicit, but it is quite possible that two prefixes will be seen,
one with M bit clear and one with M bit set if you use two upstream providers
with different address assignment policies?
 
So I guess the question is what is "consistent information"?  The same bits
set for the same prefix?

Tim